Subject: Re: [ANNOUNCE] Git v2.8.0-rc2

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Mar 2016 10:43:25 -0700

Michael J Gruber <[email-masked]> writes:

> Junio C Hamano venit, vidit, dixit 21.03.2016 21:01:
>
>> If that is the case, perhaps it
>> is also a valid workflow for these collaborating authors of a single
>> document not to update the build product, if they know that nobody
>> cares about how the final output looks like on their individual
>> fork, until their work is merged to some "mainline".
>
> Wouldn't that reasoning imply that there's no point in tracking at all?
> That is, in tracking in the main tree.

Not really.

    >> ... this would create an unresolvable mess
    >> but that is perfectly fine, because you wouldn't even attempt to
    >> merge the build product.  Instead, you would merge the source
    >> material, run the formatter, and pretend as if its output is the
    >> result of the merging of .dvi or .pdf or whatever.

declares "there is no point in tracking at all" for them while
working on their document.  These authors may realize that there is
no point in tracking the build product in order for them to work
together.  And that may lead them to adopt a workflow where they
leave the build product stale on their individual fork.

It is perfectly fine for them to have a (different) reason why they
may still want to keep the build product tracked and kept up-to-date
on the mainline (e.g. they want to give an easy access to non
authors the final document), even after they realize that tracking
build product would not help _their_ work.